      SUBROUTINE FLBVWR(IPRINT, IOUTFL, NAMLEN, NECELL, NZCELL,
     $    KEDGE, KSGMT, MVARBL, BCONCN, JFLAG)
C
C NAME -- BOUNDARY TIME VARIANT FILE RECORD WRITE
C
C DESCRIPTION -- WRITES THE BOUNDARY TIME VARIANT FILE RECORDS
C          FOR ONE VARIABLE ON ONE EDGE IN ONE SEGMENT
C PROGRAMMER -- DC WHITNEY /SAI JULY 1977
C
C INPUTS --
C         IPRINT    I  FORTRAN OUTPUT UNIT
C         IOUTFL    I  FORTRAN OUTPUT FILE UNIT
C         NAMLEN    I  NUMBER OF WORDS IN A NAME
C         NECELL    I  NUMBER OF EDGE CELLS
C         NZCELL    I  NUMBER OF Z-CELLS
C         KEDGE     I  EDGE REPRESENTED BY THIS RECORD
C         KSGMT     I  SEGMENT NUMBER
C         MVARBL    I  VARIABLE NAMES
C         BCONCN    R  CONCENTRATION ON THIS BOUNDARY
C
C OUTPUTS --
C         JFLAG     I  COMPLETION FLAG
C
C LOCAL VARIABLES -- NONE
C
C ROUTINES CALLED -- NONE
C
C ERROR CONDITIONS --
C         -7        ERROR IN SYSTEM WRITE ROUTINE
C
C OTHER INFORMATION --
C
C
C
C SET DIMENSIONS OF EXTERNAL ARRAYS
C
Ctcm  DIMENSION MVARBL(NAMLEN)
      character*4 MVARBL(NAMLEN)
      DIMENSION BCONCN(NECELL, NZCELL)
C
C SET COMPLETION FLAG TO INITIAL VALUE
C
      JFLAG = 0
C
C WRITE THE BOUNDARY TIME VARIANT RECORD
C
      WRITE(IOUTFL) KSGMT, (MVARBL(I), I = 1, NAMLEN), KEDGE,
     $     ((BCONCN(J, K), K = 1, NZCELL), J = 1, NECELL)
C
C CHECK FOR ERROR ON WRITE AND RETURN
C
         IF (JFLAG .NE. 0) GO TO 935
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR ON RECORD WRITE TO FILE
C
  935 WRITE (IPRINT, 2935) JFLAG
      JFLAG = -7
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
 2935 FORMAT (26H ****** ERROR TRACE ******, 12H ERROR FLAG , I10,
     $        45H RETURNED TO FLBVWR FROM SYSTEM WRITE ROUTINE, //)
      END
