      SUBROUTINE FLTMWR (IPRINT, IOUTFL, JBEGDT, JENDDT, BEGTIM, ENDTIM,
     $                   JFLAG)
C
C NAME -- TIME INTERVAL FILE RECORD WRITE
C
C DESCRIPTION -- WRITES THE TIME INTERVAL RECORD TO ANY FILE
C
C PROGRAMMER -- DC WHITNEY /SAI JULY 1977
C
C INPUTS --
C         IPRINT    I  FORTRAN OUTPUT UNIT
C         IOUTFL    I  FORTRAN INPUT FILE UNIT
C         JBEGDT    I  BEGINNING DATE
C         JENDDT    I  ENDING DATE
C         BEGTIM    IR  BEGINNING TIME
C         ENDTIM    R  ENDING TIME
C
C OUTPUTS --
C         JFLAG     I  COMPLETION FLAG
C
C LOCAL VARIABLES -- NONE
C
C ROUTINES CALLED -- NONE
C
C ERROR CONDITIONS --
C         -1        ERROR IN SYSTEM WRITE ROUTINE
C
C OTHER INFORMATION --
C
C
C
C SET COMPLETION FLAG TO INITIAL VALUE
C
      JFLAG = 0
C
C WRITE THE TIME INTERVAL RECORD
C
      WRITE (IOUTFL) JBEGDT, BEGTIM, JENDDT, ENDTIM
C
C CHECK FOR ERROR ON WRITE, ELSE RETURN
C
      IF (JFLAG .NE. 0) GO TO 905
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR ON WRITE
C
  905 WRITE (IPRINT, 2905) JFLAG
      JFLAG = -1
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
 2905 FORMAT (26H ****** ERROR TRACE ******, 12H ERROR FLAG , I10,
     $        45H RETURNED TO FLTMWR FROM SYSTEM WRITE ROUTINE, //)
      END
