      subroutine caltoj(idate,jdate)
C
C     *** (c) Copr. 1992  Systems Applications, Inc.  San Rafael, CA
c
c$Log:	caltoj.f,v $
c  Revision 1.2  94/02/10  20:50:52  tcm
c  Cosmetic revisions to code by gem, syw, tcm
c  
c
c
c   convert a YYMMDD or YYYYMMDD type date to a five digit Julian date
c
      dimension ntab(12)
      data ntab/31,28,31,30,31,30,31,31,30,31,30,31/
c
      iyr = idate/10000
      if (iyr .gt. 99) then
        if (iyr .lt. 1951 .or. iyr .gt. 2050) then
          write(*,*) 'Invalid year: ', iyr
          write(*,*) 'Converted from input date ', idate
          write(*,*) 'Terminating in caltoj'
          stop
        endif
      endif
c
c  extract month and check validity
c
      imo = (idate - iyr*10000)/100
      if (imo .lt. 1 .or. imo .gt. 12) then
        write(*,*) 'Invalid month: ', imo
        write(*,*) 'Converted from input date ', idate
        write(*,*) 'Terminating in caltoj'
        stop
      endif
c     
      if (mod(iyr,4) .eq. 0) then
        ntab(2) = 29
      else
        ntab(2) = 28
      endif
c
c  extract day of month and check validity
c
      iday = idate - iyr*10000 - imo*100
      if (iday .lt. 1 .or. iday .gt. ntab(imo)) then
        write(*,*) 'Invalid day of month: ', iday
        write(*,*) 'Converted from input date ', idate
        write(*,*) 'Terminating in caltoj'
        stop
      endif
c
      nsum = 0
      do 100 ii=1,imo-1
        nsum = nsum + ntab(ii)
  100 continue
      nday = nsum + iday
c
      if (iyr .gt. 99) iyr = mod(iyr,100)
      jdate = iyr*1000 + nday
      return
      end
