      SUBROUTINE MATSET (IPRNT,IUNIT,NX,NY,NZ,NS,NB,IBUF,INDTBL,
     $     JFLAG)
C
C     *** SETS UP A RANDOM ACCESS MASS STORAGE FILE
C             GWL/SAI  JAN 77
C
C     *** NOTE -- THIS AND THE ACCOMPANYING ROUTINES (MATLOD AND
C         MATSTR) USE SUBROUTINES FROM THE CDC FTN4 LIBRARY AUGMENTED
C         BY THE LAWRENCE BERKELEY LABORATORY (FTN4LIB)
C
C         IPRNT    THE OUTPUT PRINT UNIT NUMBER
C         IUNIT    THE RANDOM ACCESS FILE UNIT NUMBER
C         NX,NY    THE DIMENSIONS OF THE RANDOM RECORDS
C         NZ,NS    THE DIMENSIONS OF THE RANDOM ACCESS FILE
C         NB       THE NUMBER OF WORDS IN IBUF
C         IBUF     THE SCM BUFFER FOR THE RANDOM ACCESS FILE
C         INDTBL   A VECTOR OF DIMENSION NZ*NS+1 USED AS A RANDOM
C                  ACCESS INDEX TABLE
C         JFLAG    A COMPLETION FLAG
C
C
      DIMENSION IBUF(1),INDTBL(1)
C
      JFLAG = 0
C
C     *** GENERATE A FILE NAME FROM THE UNIT NUMBER -- 1 DIGIT
      IF (IUNIT .LT. 1 .OR. IUNIT .GT. 9) GO TO 999
      NMFILE = SHIFT (IUNIT,54)
C
C     *** DELETE THIS FILE IF IT EXISTS
      IF (GETFET (NMFILE) .NE. 0.) CALL Q9DLET (NMFILE)
C
C     *** SET UP POINTERS AND BUFFERS AND THINGS FOR THE FILE
      CALL Q9FILE (NMFILE,IBUF,NB)
C
C     *** OPEN THE FILE FOR RANDOM ACCESS
      CALL OPENMS (NMFILE,INDTBL,NZ*NS+1,0)
      RETURN
C
C     *** INVALID UNIT NUMBER -- SET ERROR FLAG
  999 JFLAG = -1
      RETURN
      END
