      SUBROUTINE TXTPAK (IPRINT, NWORDS, JSTRNG, NPACKD, JFLAG)
C
C NAME -- TEXT PACK
C
C DESCRIPTION -- LEFT JUSTIFIES TEXT STRING BY REMOVING ALL BLANKS
C                AND DOING BLANK FILL ON RIGHT
C
C PROGRAMMER -- DC WHITNEY /SAI JUNE 1977
C
C INPUTS --
C         IPRINT    I  FORTRAN OUTPUT UNIT
C         NWORDS    I  NUMBER OF WORDS IN STRING
C         JSTRNG    I  STRING TO BE PACKED
C
C OUTPUTS --
C         JSTRNG    I  PACKED STRING
C         NPACKD    I  NUMBER FO NON-BLANK WORDS
C         JFLAG     I  COMPLETION FLAG
C
C LOCAL VARIABLES --
C         JBLANK    I  A BLANK WORD
C         KBLNK     I  POINTER TO FIRST WORD TO BE BLANKED
C
C ROUTINES CALLED -- NONE
C
C ERROR CONDITIONS --
C
C OTHER INFORMATION --
C
C
C
C SET DIMENSION OF EXTERNAL ARRAY
C
      DIMENSION JSTRNG(NWORDS)
C
C SET LOCAL VARIABLE
C
      DATA JBLANK /1H /
C
C SET COMPLETION FLAG AND NUMBER OF NON-BLANK WORDS TO INITIAL VALUES
C
      JFLAG = 0
      NPACKD = 0
C
C SET LOOP TO MOVE THROUGH INPUT STRING.  LOOK FOR NON-BLANK WORDS
C
      DO 100 J = 1,NWORDS
         IF (JSTRNG(J) .EQ. JBLANK) GO TO 100
C
C INCREMENT COUNTER AND MOVE THIS WORD TO ITS POSITION
C
         NPACKD = NPACKD + 1
         JSTRNG(NPACKD) = JSTRNG(J)
C
C END LOOP AND TEST FOR ALL WORDS BEING NON-BLANK -- IF SO RETURN
C
  100 CONTINUE
      IF (NPACKD .EQ. NWORDS) GO TO 1000
C
C SET A LOOP TO PLACE BLANKS IN ALL REMAINING WORDS
C
      KBLNK = NPACKD + 1
      DO 200 J = KBLNK,NWORDS
         JSTRNG(J) = JBLANK
  200 CONTINUE
C
C RETURN TO CALLING PROGRAM
C
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
      END
