      SUBROUTINE UNTCNV(RVALUE, FACMLT, FACADD, SMOLWT, RDIMEN,
     $                  RMISSV, CVALUE)
C
C NAME -- UNIT CONVERSION
C
C DESCRIPTION -- USES UNIT CONVERSION TABLES TO CONVERT
C                TO INTERNAL UNITS
C
C PROGRAMMER -- DC WHITNEY /SAI JUNE 1977
C
C INPUTS --
C         RVALUE    R  THE VALUE OF THE VARIABLE TO BE CONVERTED
C         FACMLT    R  MULTIPLIER FOR VARIABLE VALUE
C         FACADD    R  ADDER TO VARIABLE VALUE
C         SMOLWT    R  MOLECULAR WEIGHT OF SPECIES
C         RDIMEN    R  DIMENSIONALITY OF VARIABLE VALUE
C         RMISSV    R  INDICATOR FOR MISSING VALUE
C
C OUTPUTS --
C         CVALUE    R  THE CONVERTED VALUE
C
C LOCAL VARIABLES -- NONE
C
C ROUTINES CALLED -- NONE
C
C OTHER INFORMATION --
C
C
C SET OUTPUT TO INPUT, THEN TEST AND OPERATE WITH EACH FACTOR
C
      CVALUE = RVALUE
      IF (FACMLT .NE. RMISSV) CVALUE = CVALUE * FACMLT
      IF (FACADD .NE. RMISSV) CVALUE = CVALUE + FACADD
      IF (SMOLWT .NE. RMISSV) CVALUE = CVALUE / SMOLWT
      IF (RDIMEN .NE. RMISSV) CVALUE = CVALUE / RDIMEN
C
C END OR ROUTINE -- RETURN TO CALLER
C
      RETURN
      END
