      SUBROUTINE WNDSPD(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
     $  UVECTR, VVECTR, OUTMAT,
     $  XMAXSP, YMAXSP, AVESPW, AVESPE, AVESPS, AVESPN, JFLAG)
      DIMENSION OUTMAT(1)
      DIMENSION UVECTR(NXCELL, NYCELL)
      DIMENSION VVECTR(NXCELL, NYCELL)
      DATA KWNDU/1/
      DATA KWNDV/2/
C
C INITIALIZE OUTPUTS
C
      JFLAG = 0
      XMAXSP = 0.0
      YMAXSP = 0.0
      AVESPW = 0.0
      AVESPE = 0.0
      AVESPS = 0.0
      AVESPN = 0.0
C
C SET LOOP OVER Z-CELLS
C
      DO 750 K = 1, NZCELL
         KZCLL = K
C
C LOAD VECTORS
C
         CALL MATGET(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
     $               KZCLL, KWNDU, UVECTR, OUTMAT, JFLAG)
         IF (JFLAG .LT. 0) GO TO 920
         CALL MATGET(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
     $               KZCLL, KWNDV, VVECTR, OUTMAT, JFLAG)
         IF (JFLAG .LT. 0) GO TO 925
C
C SET Y-CELL LOOP AND CALCULATE SUMS OF WEST AND EAST BORDER SPEEDS
C
         DO 730 J = 1, NYCELL
            AVESPW = AVESPW + SQRT(UVECTR(1, J) ** 2 +
     $                             VVECTR(1, J) ** 2)
            AVESPE = AVESPE + SQRT(UVECTR(NXCELL, J) ** 2 +
     $                             VVECTR(NXCELL, J) ** 2)
C
C SET X-CELL LOOP AND CHECK FOR LARGER SPEEDS
C
            DO 720 I = 1, NXCELL
               IF (ABS(UVECTR(I, J)) .GT. XMAXSP) XMAXSP =
     $             ABS(UVECTR(I, J))
               IF (ABS(VVECTR(I, J)) .GT. YMAXSP) YMAXSP =
     $             ABS(VVECTR(I, J))
C
C END ALL EXCEPT Z-LOOP
C
  720       CONTINUE
  730    CONTINUE
C
C SET X-LOOP AND CALCULATE SUMS OF SOUTH AND NORTH BORDERS
C
         DO 740 I = 1, NXCELL
            AVESPS = AVESPS + SQRT(UVECTR(I, 1) ** 2 +
     $                             VVECTR(I, 1) ** 2)
            AVESPN = AVESPN + SQRT(UVECTR(I, NYCELL) ** 2 +
     $                             VVECTR(I, NYCELL) ** 2)
C
C END LOOPS AND CALCULATE AVERAGES
C
  740    CONTINUE
  750 CONTINUE
      AVESPW = AVESPW / FLOAT(NYCELL * NZCELL)
      AVESPE = AVESPE / FLOAT(NYCELL * NZCELL)
      AVESPS = AVESPS / FLOAT(NXCELL * NZCELL)
      AVESPN = AVESPN / FLOAT(NXCELL * NZCELL)
C
C RETURN TO CALLER
C
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN MATGET FOR U-VECTOR
C
  920 WRITE (IPRINT, 2920) JFLAG
      JFLAG = -20
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN MATGET FOR V-VECTOR
C
  925 WRITE (IPRINT, 2925) JFLAG
      JFLAG = -25
      GO TO 1000
C
C RETURN TO CALLER
C
 1000 RETURN
C
C FORMATS
C
 2920 FORMAT (39H ****** ERROR TRACE ******  ERROR FLAG , I10,
     $        37H WAS RETURNED FROM SUBROUTINE MATGET ,
     $        14H FOR U-VECTOR , //)
 2925 FORMAT (39H ****** ERROR TRACE ******  ERROR FLAG , I10,
     $        37H WAS RETURNED FROM SUBROUTINE MATGET ,
     $        14H FOR V-VECTOR , //)
      END
